View Issue Details

IDProjectCategoryView StatusLast Update
0017423LazarusIDEpublic2011-04-15 17:51
ReporterFelipe SampaioAssigned ToMartin Friebe 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0017423: TSynEdit.Gutter.Parts doesn´t show correctly in Object Inspector
DescriptionTSynEdit.Gutter.Parts property doesn´t show correctly in Object Inspector (like a listbox). When I try to change value, ide shows an access violation.

IDE 0.9.28.2 it´s ok. This problema arrive in 0.9.29.

To reproduce:
1) New Application
2) Insert SynEdit in form
3) Go to Object Inspector and open Gutter properties
4) See Parts properties
TagsNo tags attached.
Fixed in Revision27526
LazTarget0.9.30
Widgetset
Attached Files

Activities

Martin Friebe

2010-09-29 19:41

manager   ~0041367

Not seeing the crash, but the prop editor is definitely broken

Martin Friebe

2010-09-29 21:35

manager   ~0041371

please close if ok

Felipe Sampaio

2011-04-15 17:51

reporter   ~0047493

Ok. fixed.

Issue History

Date Modified Username Field Change
2010-09-15 21:30 Felipe Sampaio New Issue
2010-09-15 21:30 Felipe Sampaio Widgetset => Win32/Win64
2010-09-29 19:40 Martin Friebe Status new => assigned
2010-09-29 19:40 Martin Friebe Assigned To => Martin Friebe
2010-09-29 19:41 Martin Friebe LazTarget => 0.9.30
2010-09-29 19:41 Martin Friebe Widgetset Win32/Win64 =>
2010-09-29 19:41 Martin Friebe Note Added: 0041367
2010-09-29 19:41 Martin Friebe Target Version => 0.9.30
2010-09-29 21:35 Martin Friebe Fixed in Revision => 27526
2010-09-29 21:35 Martin Friebe Status assigned => resolved
2010-09-29 21:35 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-09-29 21:35 Martin Friebe Resolution open => fixed
2010-09-29 21:35 Martin Friebe Note Added: 0041371
2011-04-15 17:51 Felipe Sampaio Status resolved => closed
2011-04-15 17:51 Felipe Sampaio Note Added: 0047493